commit:     f225d76a1bd43a38280f7c524bfffd413f7c5a68
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Fri Dec  1 00:02:32 2023 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri Dec  1 00:11:19 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f225d76a

media-libs/fontconfig: Drop old versions

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 media-libs/fontconfig/Manifest                     |   2 -
 .../files/fontconfig-2.14.0-docbook.patch          |  29 ---
 .../fontconfig-2.14.1-gperf-meson-debugging.patch  |  23 ---
 .../files/fontconfig-2.14.1-gperf-meson.patch      |  79 --------
 media-libs/fontconfig/fontconfig-2.14.0-r1.ebuild  | 224 ---------------------
 media-libs/fontconfig/fontconfig-2.14.1-r1.ebuild  | 218 --------------------
 media-libs/fontconfig/fontconfig-2.14.2.ebuild     | 216 --------------------
 7 files changed, 791 deletions(-)

diff --git a/media-libs/fontconfig/Manifest b/media-libs/fontconfig/Manifest
index 1577f159cec8..330e1e1816f4 100644
--- a/media-libs/fontconfig/Manifest
+++ b/media-libs/fontconfig/Manifest
@@ -1,3 +1 @@
-DIST fontconfig-2.14.0.tar.xz 1431056 BLAKE2B 
880f34d33ac30158ea61e922f6635900c5b244c2eb5d259f7947a364df86ee13f6190f651471b0a28bcd3c13f19c970783517903df374839e474921611dff1ff
 SHA512 
a5257249d031b3cd1a7b1521cd58f48d235a970020da4136a727db5407ec98e74a3776bc467d7e39f30ec664f56ff9fe39068317744a5e737a65109f7a005bfc
-DIST fontconfig-2.14.1.tar.xz 1447044 BLAKE2B 
4bee654f4196922fb07673f588b4bf8a651bbcc8b882b20712814ff253adf6457c3c4b4c2f5549bac37ed3f152e9993988f00d04e2516c911eb13747fc4a1c73
 SHA512 
ba42e6f90ec92914895d2157c872c373adfc17be791b92253bcc40e85674a84e43c08ab2b37c3ae85b53b2e7bd2a7847abb479043f303b732c08eeac3ee733db
 DIST fontconfig-2.14.2.tar.xz 1440844 BLAKE2B 
4efeeb7f9a6705d493128d00b60e681a20a47556f4c0d7787a5c7a6d2cbbc22f150cad7988a9836a9e72aeb61e2b6a196c00a071c7042c62283c7720cdbb743d
 SHA512 
23483e0ae6aa7589fd37f9949a4cf951c5bff981739dbb446881e4cea86a208c0ab31e2358666eac724af1dc6a689a42733a7ce91cd3e76d8d91eacedb318085

diff --git a/media-libs/fontconfig/files/fontconfig-2.14.0-docbook.patch 
b/media-libs/fontconfig/files/fontconfig-2.14.0-docbook.patch
deleted file mode 100644
index b9d5e8e5b5e2..000000000000
--- a/media-libs/fontconfig/files/fontconfig-2.14.0-docbook.patch
+++ /dev/null
@@ -1,29 +0,0 @@
-https://gitlab.freedesktop.org/fontconfig/fontconfig/-/merge_requests/223
-
-From d4a8381169984246dbb14b7a810abd170d7d0afd Mon Sep 17 00:00:00 2001
-From: Sam James <[email protected]>
-Date: Sat, 2 Apr 2022 02:36:24 +0100
-Subject: [PATCH] configure.ac: allow disabling docbook
-
-Sometimes we might want to build docs (install man pages, etc)
-but allow disabling use of docbook.
-
-Bug: https://bugs.gentoo.org/310157
-Signed-off-by: Sam James <[email protected]>
---- a/configure.ac
-+++ b/configure.ac
-@@ -736,7 +736,13 @@ dnl 
===========================================================================
- # Let people not build/install docs if they don't have docbook
- #
- 
--AC_CHECK_PROG(HASDOCBOOK, docbook2html, yes, no)
-+AC_ARG_ENABLE(docbook,
-+      [AS_HELP_STRING([--disable-docbook],
-+              [Disable building docs with docbook2html (default: no)])],,)
-+
-+if test x$enable_docbook != xno; then
-+      AC_CHECK_PROG(HASDOCBOOK, docbook2html, yes, no)
-+fi
- 
- AM_CONDITIONAL(USEDOCBOOK, test "x$HASDOCBOOK" = xyes)
- 

diff --git 
a/media-libs/fontconfig/files/fontconfig-2.14.1-gperf-meson-debugging.patch 
b/media-libs/fontconfig/files/fontconfig-2.14.1-gperf-meson-debugging.patch
deleted file mode 100644
index fb5e8a14f8b8..000000000000
--- a/media-libs/fontconfig/files/fontconfig-2.14.1-gperf-meson-debugging.patch
+++ /dev/null
@@ -1,23 +0,0 @@
-https://gitlab.freedesktop.org/fontconfig/fontconfig/-/merge_requests/240
-https://gitlab.freedesktop.org/fontconfig/fontconfig/-/issues/335
-
-From c42eb5b503a44b0b062b041d2e8a0138ce21a0c7 Mon Sep 17 00:00:00 2001
-From: Akira TAGOH <[email protected]>
-Date: Thu, 27 Oct 2022 12:32:07 +0900
-Subject: [PATCH] Fix the build issue on meson when -g option is added to
- c_args
-
-Fixes https://gitlab.freedesktop.org/fontconfig/fontconfig/-/issues/335
---- a/src/cutout.py
-+++ b/src/cutout.py
-@@ -24,7 +24,8 @@ if __name__== '__main__':
-                 break
- 
-     cpp = args[1]
--    ret = subprocess.run(cpp + host_cargs + [args[0].input], 
stdout=subprocess.PIPE, check=True)
-+    cpp_args = [i for i in host_cargs + [args[0].input] if not 
i.startswith('-g')]
-+    ret = subprocess.run(cpp + cpp_args, stdout=subprocess.PIPE, check=True)
- 
-     stdout = ret.stdout.decode('utf8')
- 
-GitLab

diff --git a/media-libs/fontconfig/files/fontconfig-2.14.1-gperf-meson.patch 
b/media-libs/fontconfig/files/fontconfig-2.14.1-gperf-meson.patch
deleted file mode 100644
index 5565012cad65..000000000000
--- a/media-libs/fontconfig/files/fontconfig-2.14.1-gperf-meson.patch
+++ /dev/null
@@ -1,79 +0,0 @@
-https://gitlab.freedesktop.org/fontconfig/fontconfig/-/commit/a07e2f1e8ad049772cd24b7daa0a4a168f33bfba.patch
-
-From a07e2f1e8ad049772cd24b7daa0a4a168f33bfba Mon Sep 17 00:00:00 2001
-From: Christopher Degawa <[email protected]>
-Date: Tue, 25 Oct 2022 14:41:05 -0500
-Subject: [PATCH] meson: modify gperf test to remove sh dependency
-
-modifies the gperf test to instead rely on a file input
-rather than piping in using sh, as sh is often not reliable
-on Windows due to paths.
-
-Also changes the if else ladder into a foreach loop.
-
-Signed-off-by: Christopher Degawa <[email protected]>
---- /dev/null
-+++ b/meson-cc-tests/gperf.txt
-@@ -0,0 +1 @@
-+foo,bar
---- a/meson.build
-+++ b/meson.build
-@@ -315,39 +315,33 @@ if fc_configdir.startswith(fc_baseconfigdir + '/')
-   fonts_conf.set('CONFIGDIR', fc_configdir.split(fc_baseconfigdir + '/')[1])
- endif
- 
--# It will automatically fallback to subproject if not found on system
--gperf = find_program('gperf')
-+gperf = find_program('gperf', required: false)
-+gperf_len_type = ''
- 
--sh = find_program('sh', required : false)
--
--if not sh.found() # host_machine.system() == 'windows' or not sh.found()
--  # TODO: This is not always correct
--  if cc.get_id() == 'msvc'
--    gperf_len_type = 'size_t'
--  else
--    gperf_len_type = 'unsigned'
--  endif
--else
-+if gperf.found()
-   gperf_test_format = '''
-   #include <string.h>
-   const char * in_word_set(const char *, @0@);
-   @1@
-   '''
--  gperf_snippet_format = 'echo foo,bar | @0@ -L ANSI-C'
--  gperf_snippet = run_command(sh, '-c', 
gperf_snippet_format.format(gperf.full_path()),
--    check: true)
--  gperf_test = gperf_test_format.format('size_t', gperf_snippet.stdout())
-+  gperf_snippet = run_command(gperf, '-L', 'ANSI-C', 
files('meson-cc-tests/gperf.txt'),
-+    check: true).stdout()
- 
--  if cc.compiles(gperf_test)
--    gperf_len_type = 'size_t'
--  else
--    gperf_test = gperf_test_format.format('unsigned', gperf_snippet.stdout())
--    if cc.compiles(gperf_test)
--      gperf_len_type = 'unsigned'
--    else
--      error('unable to determine gperf len type')
-+  foreach type : ['size_t', 'unsigned']
-+    if cc.compiles(gperf_test_format.format(type, gperf_snippet))
-+      gperf_len_type = type
-+      break
-     endif
-+  endforeach
-+
-+  if gperf_len_type == ''
-+    error('unable to determine gperf len type')
-   endif
-+else
-+  # Fallback to subproject
-+  gperf = find_program('gperf')
-+  # assume if we are compiling from the wrap, the size is just size_t
-+  gperf_len_type = 'size_t'
- endif
- 
- message('gperf len type is @0@'.format(gperf_len_type))
-GitLab

diff --git a/media-libs/fontconfig/fontconfig-2.14.0-r1.ebuild 
b/media-libs/fontconfig/fontconfig-2.14.0-r1.ebuild
deleted file mode 100644
index 8ac9605455ca..000000000000
--- a/media-libs/fontconfig/fontconfig-2.14.0-r1.ebuild
+++ /dev/null
@@ -1,224 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-# Cannot yet migrate to Meson as of 2.14.0:
-# https://gitlab.freedesktop.org/fontconfig/fontconfig/-/issues/244
-inherit autotools multilib-minimal readme.gentoo-r1
-
-DESCRIPTION="A library for configuring and customizing font access"
-HOMEPAGE="https://fontconfig.org/";
-SRC_URI="https://fontconfig.org/release/${P}.tar.xz";
-
-LICENSE="MIT"
-SLOT="1.0"
-if ! [[ $(ver_cut 3) -ge 90 ]] ; then
-       KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc 
ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x64-solaris"
-fi
-IUSE="doc static-libs test"
-RESTRICT="!test? ( test )"
-
-# - Check minimum freetype & other deps on bumps. See
-#   
https://gitlab.freedesktop.org/fontconfig/fontconfig/-/blob/main/configure.ac#L314.
-#   Note that FT versioning is confusing, need to map it using
-#   
https://git.savannah.gnu.org/cgit/freetype/freetype2.git/tree/docs/VERSIONS.TXT
-#   But sometimes it's actually greater than that, e.g. see Fedora's spec file
-#   
https://src.fedoraproject.org/rpms/fontconfig/blob/rawhide/f/fontconfig.spec#_1
-#
-# - Purposefully dropped the xml USE flag and libxml2 support. Expat is the
-#   default and used by every distro. See bug #283191.
-#
-# - There's a test-only dep on json-c.
-#   It might become an optional(?) runtime dep in future though. Who knows.
-#   Keep an eye on it.
-RDEPEND=">=dev-libs/expat-2.1.0-r3[${MULTILIB_USEDEP}]
-       >=media-libs/freetype-2.9.1[${MULTILIB_USEDEP}]
-       !elibc_Darwin? ( !elibc_SunOS? ( 
sys-apps/util-linux[${MULTILIB_USEDEP}] ) )
-       elibc_Darwin? ( sys-libs/native-uuid )
-       elibc_SunOS? ( sys-libs/libuuid )
-       virtual/libintl[${MULTILIB_USEDEP}]"
-DEPEND="${RDEPEND}
-       test? ( dev-libs/json-c )"
-BDEPEND="dev-util/gperf
-       >=sys-devel/gettext-0.19.8
-       virtual/pkgconfig
-       doc? (
-               =app-text/docbook-sgml-dtd-3.1*
-               app-text/docbook-sgml-utils[jadetex]
-       )"
-PDEPEND="virtual/ttf-fonts"
-# We need app-eselect/eselect-fontconfig in IDEPEND to update ROOT
-# when cross-compiling.
-IDEPEND="app-eselect/eselect-fontconfig"
-
-PATCHES=(
-       # bug #310157
-       "${FILESDIR}"/${PN}-2.14.0-docbook.patch
-       # bug #130466 + make liberation default
-       "${FILESDIR}"/${PN}-2.14.0-latin-update.patch
-       # Avoid test failure (bubblewrap doesn't work within sandbox)
-       "${FILESDIR}"/${PN}-2.14.0-skip-bubblewrap-tests.patch
-
-       # Patches from upstream (can usually be removed with next version bump)
-)
-
-DOC_CONTENTS="Please make fontconfig configuration changes using
-\`eselect fontconfig\`. Any changes made to /etc/fonts/fonts.conf will be
-overwritten. If you need to reset your configuration to upstream defaults,
-delete the directory ${EROOT}/etc/fonts/conf.d/ and re-emerge fontconfig."
-
-src_prepare() {
-       default
-
-       # Needed for docbook patch
-       eautoreconf
-}
-
-multilib_src_configure() {
-       local addfonts=(
-               "${EPREFIX}"/usr/local/share/fonts
-       )
-
-       # Harvest some font locations, such that users can benefit from the
-       # host OS's installed fonts
-       case ${CHOST} in
-               *-darwin*)
-                       addfonts+=(
-                               /Library/Fonts
-                               /System/Library/Fonts
-                       )
-               ;;
-
-               *-solaris*)
-                       [[ -d /usr/X/lib/X11/fonts/TrueType ]] && \
-                               addfonts+=( /usr/X/lib/X11/fonts/TrueType )
-                       [[ -d /usr/X/lib/X11/fonts/Type1 ]] &&
-                               addfonts+=( /usr/X/lib/X11/fonts/Type1 )
-               ;;
-
-               *-linux-gnu)
-                       use prefix && [[ -d /usr/share/fonts ]] && \
-                               addfonts+=( /usr/share/fonts )
-               ;;
-       esac
-
-       local myeconfargs=(
-               $(multilib_native_use_enable doc docbook)
-               $(use_enable static-libs static)
-
-               # man pages. We split out the docbook parts into its own flag.
-               $(multilib_native_enable docs)
-               # We handle this ourselves.
-               --disable-cache-build
-               # See comment above *DEPEND. We use Expat instead.
-               --disable-libxml2
-
-               --localstatedir="${EPREFIX}"/var
-               --with-default-fonts="${EPREFIX}"/usr/share/fonts
-               --with-add-fonts=$(IFS=, ; echo "${addfonts[*]}" )
-               --with-templatedir="${EPREFIX}"/etc/fonts/conf.avail
-       )
-
-       ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
-}
-
-multilib_src_test() {
-       # Test needs network access
-       # https://gitlab.freedesktop.org/fontconfig/fontconfig/-/issues/319
-       # On bumps after 2.14.0, please check to see if this has been fixed
-       # to allow local access!
-       chmod -x test/test-crbug1004254 || die
-
-       default
-}
-
-multilib_src_install() {
-       MULTILIB_CHOST_TOOLS=( /usr/bin/fc-cache$(get_exeext) )
-
-       default
-
-       # Avoid calling this multiple times, bug #459210
-       if multilib_is_native_abi; then
-               # Stuff installed from build-dir
-               emake -C doc DESTDIR="${D}" install-man
-
-               insinto /etc/fonts
-               doins fonts.conf
-       fi
-}
-
-multilib_src_install_all() {
-       einstalldocs
-
-       find "${ED}" -name "*.la" -delete || die
-
-       # fc-lang directory contains language coverage datafiles
-       # which are needed to test the coverage of fonts.
-       insinto /usr/share/fc-lang
-       doins fc-lang/*.orth
-
-       dodoc doc/fontconfig-user.{txt,pdf}
-
-       if [[ -e ${ED}/usr/share/doc/fontconfig/ ]] ;  then
-               mv "${ED}"/usr/share/doc/fontconfig/* \
-                       "${ED}"/usr/share/doc/${P} || die
-               rm -rf "${ED}"/usr/share/doc/fontconfig || die
-       fi
-
-       # Changes should be made to /etc/fonts/local.conf, and as we had
-       # too much problems with broken fonts.conf we force update it ...
-       echo 'CONFIG_PROTECT_MASK="/etc/fonts/fonts.conf"' \
-               > "${T}"/37fontconfig || die
-       doenvd "${T}"/37fontconfig
-
-       # As of fontconfig 2.7, everything sticks their noses in here.
-       dodir /etc/sandbox.d
-       echo 'SANDBOX_PREDICT="/var/cache/fontconfig"' \
-               > "${ED}"/etc/sandbox.d/37fontconfig || die
-
-       readme.gentoo_create_doc
-
-       # We allow the cache generation to make this later
-       # bug #587492
-       rm -r "${ED}"/var/cache/ || die
-}
-
-pkg_preinst() {
-       # bug #193476
-       # /etc/fonts/conf.d/ contains symlinks to ../conf.avail/ to include 
various
-       # config files.  If we install as-is, we'll blow away user settings.
-       ebegin "Syncing fontconfig configuration to system"
-       if [[ -e ${EROOT}/etc/fonts/conf.d ]] ; then
-               local file f
-               for file in "${EROOT}"/etc/fonts/conf.avail/* ; do
-                       f=${file##*/}
-                       if [[ -L ${EROOT}/etc/fonts/conf.d/${f} ]] ; then
-                               [[ -f ${ED}/etc/fonts/conf.avail/${f} ]] \
-                                       && ln -sf ../conf.avail/"${f}" \
-                                               "${ED}"/etc/fonts/conf.d/ 
&>/dev/null
-                       else
-                               [[ -f ${ED}/etc/fonts/conf.avail/${f} ]] \
-                                       && rm "${ED}"/etc/fonts/conf.d/"${f}" 
&>/dev/null
-                       fi
-               done
-       fi
-       eend $?
-}
-
-pkg_postinst() {
-       einfo "Cleaning broken symlinks in ${EROOT}/etc/fonts/conf.d/"
-       find -L "${EROOT}"/etc/fonts/conf.d/ -type l -delete
-
-       readme.gentoo_print_elog
-
-       if [[ -z ${ROOT} ]] ; then
-               multilib_pkg_postinst() {
-                       ebegin "Creating global font cache for ${ABI}"
-                       "${EPREFIX}"/usr/bin/${CHOST}-fc-cache -srf
-                       eend $?
-               }
-
-               multilib_parallel_foreach_abi multilib_pkg_postinst
-       fi
-}

diff --git a/media-libs/fontconfig/fontconfig-2.14.1-r1.ebuild 
b/media-libs/fontconfig/fontconfig-2.14.1-r1.ebuild
deleted file mode 100644
index e34e0d4855d1..000000000000
--- a/media-libs/fontconfig/fontconfig-2.14.1-r1.ebuild
+++ /dev/null
@@ -1,218 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{9..11} )
-inherit multilib meson-multilib python-any-r1 readme.gentoo-r1
-
-DESCRIPTION="A library for configuring and customizing font access"
-HOMEPAGE="https://fontconfig.org/";
-SRC_URI="https://fontconfig.org/release/${P}.tar.xz";
-
-LICENSE="MIT"
-SLOT="1.0"
-if ! [[ $(ver_cut 3) -ge 90 ]] ; then
-       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc 
~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x64-solaris"
-fi
-IUSE="doc nls test"
-RESTRICT="!test? ( test )"
-
-# - Check minimum freetype & other deps on bumps. See
-#   
https://gitlab.freedesktop.org/fontconfig/fontconfig/-/blob/main/configure.ac#L314.
-#   Note that FT versioning is confusing, need to map it using
-#   
https://git.savannah.gnu.org/cgit/freetype/freetype2.git/tree/docs/VERSIONS.TXT
-#   But sometimes it's actually greater than that, e.g. see Fedora's spec file
-#   
https://src.fedoraproject.org/rpms/fontconfig/blob/rawhide/f/fontconfig.spec#_1
-#
-# - Purposefully dropped the xml USE flag and libxml2 support. Expat is the
-#   default and used by every distro. See bug #283191.
-#
-# - There's a test-only dep on json-c.
-#   It might become an optional(?) runtime dep in future though. Who knows.
-#   Keep an eye on it.
-RDEPEND="
-       >=dev-libs/expat-2.1.0-r3[${MULTILIB_USEDEP}]
-       >=media-libs/freetype-2.9.1[${MULTILIB_USEDEP}]
-       virtual/libintl[${MULTILIB_USEDEP}]
-       !elibc_Darwin? ( !elibc_SunOS? ( 
sys-apps/util-linux[${MULTILIB_USEDEP}] ) )
-       elibc_Darwin? ( sys-libs/native-uuid )
-       elibc_SunOS? ( sys-libs/libuuid )
-"
-DEPEND="
-       ${RDEPEND}
-       test? ( dev-libs/json-c )
-"
-BDEPEND="
-       ${PYTHON_DEPS}
-       dev-util/gperf
-       virtual/pkgconfig
-       doc? (
-               =app-text/docbook-sgml-dtd-3.1*
-               app-text/docbook-sgml-utils[jadetex]
-       )
-       nls? ( >=sys-devel/gettext-0.19.8 )
-"
-PDEPEND="virtual/ttf-fonts"
-# We need app-eselect/eselect-fontconfig in IDEPEND to update ROOT
-# when cross-compiling.
-IDEPEND="app-eselect/eselect-fontconfig"
-
-PATCHES=(
-       # bug #130466 + make liberation default
-       "${FILESDIR}"/${PN}-2.14.0-latin-update.patch
-       # Avoid test failure (bubblewrap doesn't work within sandbox)
-       "${FILESDIR}"/${PN}-2.14.0-skip-bubblewrap-tests.patch
-
-       # Patches from upstream (can usually be removed with next version bump)
-       "${FILESDIR}"/${P}-gperf-meson.patch
-       "${FILESDIR}"/${P}-gperf-meson-debugging.patch
-)
-
-DOC_CONTENTS="Please make fontconfig configuration changes using
-\`eselect fontconfig\`. Any changes made to /etc/fonts/fonts.conf will be
-overwritten. If you need to reset your configuration to upstream defaults,
-delete the directory ${EROOT}/etc/fonts/conf.d/ and re-emerge fontconfig."
-
-src_prepare() {
-       default
-
-       # Test needs network access
-       # https://gitlab.freedesktop.org/fontconfig/fontconfig/-/issues/319
-       # On bumps, please check to see if this has been fixed
-       # to allow local access!
-       sed -i -e '/test-crbug1004254/d' test/meson.build || die
-}
-
-multilib_src_configure() {
-       local addfonts=(
-               "${EPREFIX}"/usr/local/share/fonts
-       )
-
-       # Harvest some font locations, such that users can benefit from the
-       # host OS's installed fonts
-       case ${CHOST} in
-               *-darwin*)
-                       addfonts+=(
-                               /Library/Fonts
-                               /System/Library/Fonts
-                       )
-               ;;
-
-               *-solaris*)
-                       [[ -d /usr/X/lib/X11/fonts/TrueType ]] && \
-                               addfonts+=( /usr/X/lib/X11/fonts/TrueType )
-                       [[ -d /usr/X/lib/X11/fonts/Type1 ]] &&
-                               addfonts+=( /usr/X/lib/X11/fonts/Type1 )
-               ;;
-
-               *-linux-gnu)
-                       use prefix && [[ -d /usr/share/fonts ]] && \
-                               addfonts+=( /usr/share/fonts )
-               ;;
-       esac
-
-       local emesonargs=(
-               # USE=doc only controls the additional bits like html/pdf
-               # and regeneration of man pages from source. We always install
-               # the prebuilt man pages.
-               $(meson_native_use_feature doc)
-               $(meson_native_use_feature doc doc-txt)
-               $(meson_native_use_feature doc doc-html)
-               $(meson_native_use_feature doc doc-man)
-               $(meson_native_use_feature doc doc-pdf)
-
-               $(meson_native_use_feature nls)
-               $(meson_feature test tests)
-
-               -Dcache-build=disabled
-               -Dcache-dir="${EPREFIX}"/var/cache/fontconfig
-               -Ddefault-fonts-dirs="${EPREFIX}"/usr/share/fonts
-               -Dadditional-fonts-dirs=$(IFS=, ; echo "${addfonts[*]}" )
-               -Dtemplate-dir="${EPREFIX}"/etc/fonts/conf.avail
-       )
-
-       meson_src_configure
-}
-
-multilib_src_install() {
-       MULTILIB_CHOST_TOOLS=( /usr/bin/fc-cache$(get_exeext) )
-
-       meson_src_install
-
-       # Avoid calling this multiple times, bug #459210
-       if multilib_is_native_abi; then
-               insinto /etc/fonts
-               doins fonts.conf
-       fi
-}
-
-multilib_src_install_all() {
-       einstalldocs
-
-       # fc-lang directory contains language coverage datafiles
-       # which are needed to test the coverage of fonts.
-       insinto /usr/share/fc-lang
-       doins fc-lang/*.orth
-
-       dodoc doc/fontconfig-user.{txt,pdf}
-
-       if ! use doc ; then
-               find "${S}" -name "*.[[:digit:]]" -type f -exec doman '{}' + || 
die
-       fi
-
-       if [[ -e ${ED}/usr/share/doc/fontconfig/ ]] ;  then
-               mv "${ED}"/usr/share/doc/fontconfig/* 
"${ED}"/usr/share/doc/${PF} || die
-               rm -rf "${ED}"/usr/share/doc/fontconfig || die
-       fi
-
-       # Changes should be made to /etc/fonts/local.conf, and as we had
-       # too much problems with broken fonts.conf we force update it ...
-       echo 'CONFIG_PROTECT_MASK="/etc/fonts/fonts.conf"' > 
"${T}"/37fontconfig || die
-       doenvd "${T}"/37fontconfig
-
-       # As of fontconfig 2.7, everything sticks their noses in here.
-       dodir /etc/sandbox.d
-       echo 'SANDBOX_PREDICT="/var/cache/fontconfig"' > 
"${ED}"/etc/sandbox.d/37fontconfig || die
-
-       readme.gentoo_create_doc
-}
-
-pkg_preinst() {
-       # bug #193476
-       # /etc/fonts/conf.d/ contains symlinks to ../conf.avail/ to include 
various
-       # config files.  If we install as-is, we'll blow away user settings.
-       ebegin "Syncing fontconfig configuration to system"
-       if [[ -e ${EROOT}/etc/fonts/conf.d ]] ; then
-               local file f
-               for file in "${EROOT}"/etc/fonts/conf.avail/* ; do
-                       f=${file##*/}
-                       if [[ -L ${EROOT}/etc/fonts/conf.d/${f} ]] ; then
-                               [[ -f ${ED}/etc/fonts/conf.avail/${f} ]] \
-                                       && ln -sf ../conf.avail/"${f}" \
-                                               "${ED}"/etc/fonts/conf.d/ 
&>/dev/null
-                       else
-                               [[ -f ${ED}/etc/fonts/conf.avail/${f} ]] \
-                                       && rm "${ED}"/etc/fonts/conf.d/"${f}" 
&>/dev/null
-                       fi
-               done
-       fi
-       eend $?
-}
-
-pkg_postinst() {
-       einfo "Cleaning broken symlinks in ${EROOT}/etc/fonts/conf.d/"
-       find -L "${EROOT}"/etc/fonts/conf.d/ -type l -delete
-
-       readme.gentoo_print_elog
-
-       if [[ -z ${ROOT} ]] ; then
-               multilib_pkg_postinst() {
-                       ebegin "Creating global font cache for ${ABI}"
-                       "${EPREFIX}"/usr/bin/${CHOST}-fc-cache -srf
-                       eend $?
-               }
-
-               multilib_parallel_foreach_abi multilib_pkg_postinst
-       fi
-}

diff --git a/media-libs/fontconfig/fontconfig-2.14.2.ebuild 
b/media-libs/fontconfig/fontconfig-2.14.2.ebuild
deleted file mode 100644
index ea3e4de0a751..000000000000
--- a/media-libs/fontconfig/fontconfig-2.14.2.ebuild
+++ /dev/null
@@ -1,216 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{9..11} )
-inherit multilib meson-multilib python-any-r1 readme.gentoo-r1
-
-DESCRIPTION="A library for configuring and customizing font access"
-HOMEPAGE="https://fontconfig.org/";
-SRC_URI="https://fontconfig.org/release/${P}.tar.xz";
-
-LICENSE="MIT"
-SLOT="1.0"
-if ! [[ $(ver_cut 3) -ge 90 ]] ; then
-       KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc 
ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x64-solaris"
-fi
-IUSE="doc nls test"
-RESTRICT="!test? ( test )"
-
-# - Check minimum freetype & other deps on bumps. See
-#   
https://gitlab.freedesktop.org/fontconfig/fontconfig/-/blob/main/configure.ac#L314.
-#   Note that FT versioning is confusing, need to map it using
-#   
https://git.savannah.gnu.org/cgit/freetype/freetype2.git/tree/docs/VERSIONS.TXT
-#   But sometimes it's actually greater than that, e.g. see Fedora's spec file
-#   
https://src.fedoraproject.org/rpms/fontconfig/blob/rawhide/f/fontconfig.spec#_1
-#
-# - Purposefully dropped the xml USE flag and libxml2 support. Expat is the
-#   default and used by every distro. See bug #283191.
-#
-# - There's a test-only dep on json-c.
-#   It might become an optional(?) runtime dep in future though. Who knows.
-#   Keep an eye on it.
-RDEPEND="
-       >=dev-libs/expat-2.1.0-r3[${MULTILIB_USEDEP}]
-       >=media-libs/freetype-2.9.1[${MULTILIB_USEDEP}]
-       virtual/libintl[${MULTILIB_USEDEP}]
-       !elibc_Darwin? ( !elibc_SunOS? ( 
sys-apps/util-linux[${MULTILIB_USEDEP}] ) )
-       elibc_Darwin? ( sys-libs/native-uuid )
-       elibc_SunOS? ( sys-libs/libuuid )
-"
-DEPEND="
-       ${RDEPEND}
-       test? ( dev-libs/json-c )
-"
-BDEPEND="
-       ${PYTHON_DEPS}
-       dev-util/gperf
-       virtual/pkgconfig
-       doc? (
-               =app-text/docbook-sgml-dtd-3.1*
-               app-text/docbook-sgml-utils[jadetex]
-       )
-       nls? ( >=sys-devel/gettext-0.19.8 )
-"
-PDEPEND="virtual/ttf-fonts"
-# We need app-eselect/eselect-fontconfig in IDEPEND to update ROOT
-# when cross-compiling.
-IDEPEND="app-eselect/eselect-fontconfig"
-
-PATCHES=(
-       # bug #130466 + make liberation default
-       "${FILESDIR}"/${PN}-2.14.0-latin-update.patch
-       # Avoid test failure (bubblewrap doesn't work within sandbox)
-       "${FILESDIR}"/${PN}-2.14.0-skip-bubblewrap-tests.patch
-
-       # Patches from upstream (can usually be removed with next version bump)
-)
-
-DOC_CONTENTS="Please make fontconfig configuration changes using
-\`eselect fontconfig\`. Any changes made to /etc/fonts/fonts.conf will be
-overwritten. If you need to reset your configuration to upstream defaults,
-delete the directory ${EROOT}/etc/fonts/conf.d/ and re-emerge fontconfig."
-
-src_prepare() {
-       default
-
-       # Test needs network access
-       # https://gitlab.freedesktop.org/fontconfig/fontconfig/-/issues/319
-       # On bumps, please check to see if this has been fixed
-       # to allow local access!
-       sed -i -e '/test-crbug1004254/d' test/meson.build || die
-}
-
-multilib_src_configure() {
-       local addfonts=(
-               "${EPREFIX}"/usr/local/share/fonts
-       )
-
-       # Harvest some font locations, such that users can benefit from the
-       # host OS's installed fonts
-       case ${CHOST} in
-               *-darwin*)
-                       addfonts+=(
-                               /Library/Fonts
-                               /System/Library/Fonts
-                       )
-               ;;
-
-               *-solaris*)
-                       [[ -d /usr/X/lib/X11/fonts/TrueType ]] && \
-                               addfonts+=( /usr/X/lib/X11/fonts/TrueType )
-                       [[ -d /usr/X/lib/X11/fonts/Type1 ]] &&
-                               addfonts+=( /usr/X/lib/X11/fonts/Type1 )
-               ;;
-
-               *-linux-gnu)
-                       use prefix && [[ -d /usr/share/fonts ]] && \
-                               addfonts+=( /usr/share/fonts )
-               ;;
-       esac
-
-       local emesonargs=(
-               # USE=doc only controls the additional bits like html/pdf
-               # and regeneration of man pages from source. We always install
-               # the prebuilt man pages.
-               $(meson_native_use_feature doc)
-               $(meson_native_use_feature doc doc-txt)
-               $(meson_native_use_feature doc doc-html)
-               $(meson_native_use_feature doc doc-man)
-               $(meson_native_use_feature doc doc-pdf)
-
-               $(meson_native_use_feature nls)
-               $(meson_feature test tests)
-
-               -Dcache-build=disabled
-               -Dcache-dir="${EPREFIX}"/var/cache/fontconfig
-               -Ddefault-fonts-dirs="${EPREFIX}"/usr/share/fonts
-               -Dadditional-fonts-dirs=$(IFS=, ; echo "${addfonts[*]}" )
-               -Dtemplate-dir="${EPREFIX}"/etc/fonts/conf.avail
-       )
-
-       meson_src_configure
-}
-
-multilib_src_install() {
-       MULTILIB_CHOST_TOOLS=( /usr/bin/fc-cache$(get_exeext) )
-
-       meson_src_install
-
-       # Avoid calling this multiple times, bug #459210
-       if multilib_is_native_abi; then
-               insinto /etc/fonts
-               doins fonts.conf
-       fi
-}
-
-multilib_src_install_all() {
-       einstalldocs
-
-       # fc-lang directory contains language coverage datafiles
-       # which are needed to test the coverage of fonts.
-       insinto /usr/share/fc-lang
-       doins fc-lang/*.orth
-
-       dodoc doc/fontconfig-user.{txt,pdf}
-
-       if ! use doc ; then
-               find "${S}" -name "*.[[:digit:]]" -type f -exec doman '{}' + || 
die
-       fi
-
-       if [[ -e ${ED}/usr/share/doc/fontconfig/ ]] ;  then
-               mv "${ED}"/usr/share/doc/fontconfig/* 
"${ED}"/usr/share/doc/${PF} || die
-               rm -rf "${ED}"/usr/share/doc/fontconfig || die
-       fi
-
-       # Changes should be made to /etc/fonts/local.conf, and as we had
-       # too much problems with broken fonts.conf we force update it ...
-       echo 'CONFIG_PROTECT_MASK="/etc/fonts/fonts.conf"' > 
"${T}"/37fontconfig || die
-       doenvd "${T}"/37fontconfig
-
-       # As of fontconfig 2.7, everything sticks their noses in here.
-       dodir /etc/sandbox.d
-       echo 'SANDBOX_PREDICT="/var/cache/fontconfig"' > 
"${ED}"/etc/sandbox.d/37fontconfig || die
-
-       readme.gentoo_create_doc
-}
-
-pkg_preinst() {
-       # bug #193476
-       # /etc/fonts/conf.d/ contains symlinks to ../conf.avail/ to include 
various
-       # config files.  If we install as-is, we'll blow away user settings.
-       ebegin "Syncing fontconfig configuration to system"
-       if [[ -e ${EROOT}/etc/fonts/conf.d ]] ; then
-               local file f
-               for file in "${EROOT}"/etc/fonts/conf.avail/* ; do
-                       f=${file##*/}
-                       if [[ -L ${EROOT}/etc/fonts/conf.d/${f} ]] ; then
-                               [[ -f ${ED}/etc/fonts/conf.avail/${f} ]] \
-                                       && ln -sf ../conf.avail/"${f}" \
-                                               "${ED}"/etc/fonts/conf.d/ 
&>/dev/null
-                       else
-                               [[ -f ${ED}/etc/fonts/conf.avail/${f} ]] \
-                                       && rm "${ED}"/etc/fonts/conf.d/"${f}" 
&>/dev/null
-                       fi
-               done
-       fi
-       eend $?
-}
-
-pkg_postinst() {
-       einfo "Cleaning broken symlinks in ${EROOT}/etc/fonts/conf.d/"
-       find -L "${EROOT}"/etc/fonts/conf.d/ -type l -delete
-
-       readme.gentoo_print_elog
-
-       if [[ -z ${ROOT} ]] ; then
-               multilib_pkg_postinst() {
-                       ebegin "Creating global font cache for ${ABI}"
-                       "${EPREFIX}"/usr/bin/${CHOST}-fc-cache -srf
-                       eend $?
-               }
-
-               multilib_parallel_foreach_abi multilib_pkg_postinst
-       fi
-}

Reply via email to